player = {}
player.x = 200
player.y = 50
player.w = 20
player.h = 40
player.grounded = false
player.xvel = 0
player.yvel = 0

player.xdir = 1

walkSpeed = 200
walkAcc = 300

friction = 400
gravity = 500
jumpVel = 300
terminalVel = 500
function player_update(dt)
	if(love.keyboard.isDown("a")) then
		if(player.xvel > -walkSpeed) then player.xvel = player.xvel - walkAcc * dt end
		if(player.xvel < -walkSpeed and player.grounded == true) then player.xvel = -walkSpeed end
		if(player.xdir == 1) then
			if(player.grounded == true) then player.xvel = -player.xvel/4 end
			player.xdir = -1
		end
	elseif(love.keyboard.isDown("d")) then
		if(player.xvel < walkSpeed) then player.xvel = player.xvel + walkAcc * dt end
		if(player.xvel > walkSpeed and player.grounded == true) then player.xvel = walkSpeed end
		if(player.xdir == -1) then
			if(player.grounded == true) then player.xvel = -player.xvel/4 end
			player.xdir = 1
		end
	else
		if(player.grounded == true) then
			if(player.xvel > 0) then
				player.xvel = player.xvel - friction * dt
				if(player.xvel < 0) then player.xvel = 0 end
			elseif(player.xvel < 0) then
				player.xvel = player.xvel + friction * dt
				if(player.xvel > 0) then player.xvel = 0 end		
			end
		end
	end
	
	if(player.grounded == false) then
		player.yvel = player.yvel + gravity * dt
		if(player.yvel > terminalVel) then player.yvel = terminalVel end
	end
	if(player.grounded == true) then
		if(love.keyboard.isDown(" ")) then
			player.yvel = -jumpVel
			if(math.abs(player.xvel) >= walkSpeed) then player.xvel = player.xvel * 1.5 end
			player.grounded = false
		end
	end
	player.x,player.y,player.xvel,player.yvel,player.grounded = block_col(player.x,player.y,player.w,player.h, player.grounded,player.xvel,player.yvel,dt)
	
	player.y = player.y + player.yvel * dt
	player.x = player.x + player.xvel * dt
end

function player_draw()
	love.graphics.rectangle("fill",player.x-player.w/2,player.y-player.h/2,player.w,player.h)
end